Skip to main content
GET
/
chunks
/
{chunk_id}
Get chunk details
import requests

url = "https://app.ubik-agent.com/api/v1/chunks/{chunk_id}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "text": "<string>",
  "page_number": 123,
  "bbox": [
    {
      "bbox": [
        123
      ],
      "page_number": 123,
      "layout_width": 123,
      "layout_height": 123
    }
  ],
  "start_time": 123,
  "end_time": 123,
  "metadata": {}
}

Authorizations

X-API-KEY
string
header
required

Headers

X-End-User-ID
string | null

Path Parameters

chunk_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required

The unique identifier for the chunk.

document_id
string<uuid>
required

The unique identifier of the parent document.

text
string
required

The text content of the chunk.

page_number
integer | null

The page number where this chunk is located (1-indexed).

bbox
PublicBoundingBox · object[] | null

List of bounding boxes for the chunk elements.

start_time
number | null

The start time of the chunk in seconds (for audio/video).

end_time
number | null

The end time of the chunk in seconds (for audio/video).

metadata
Metadata · object

Additional metadata associated with the chunk.